VERSION 5.00
Begin VB.UserControl UserControl1 
   BorderStyle     =   1  'Fixed Single
   ClientHeight    =   1740
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   2595
   ScaleHeight     =   1740
   ScaleWidth      =   2595
End
Attribute VB_Name = "UserControl1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

Implements ISubclass

Private Const WM_MOUSEHOVER As Long = &H2A1
Private Const WM_MOUSELEAVE As Long = &H2A3
Private Const WM_MOUSEMOVE As Long = &H200

Private Const TME_HOVER As Long = 1
Private Const TME_LEAVE As Long = 2

Private Type tagTRACKMOUSEEVENT
  cbSize As Long
  dwFlags As Long
  hwndTrack As Long
  dwHoverTime As Long
End Type


Private Declare Function TrackMouseEvent Lib "user32.dll" ( _
   ByRef lpEventTrack As tagTRACKMOUSEEVENT) As Long


Public Event MouseHover()
Public Event MouseLeave()

Private m_blnHot As Boolean

Private Function ISubclass_Callback(ByVal hWnd As Long, uMsg As Long, wParam As Long, lParam As Long, ByVal PrevProc As Long) As Long
  Dim typTME As tagTRACKMOUSEEVENT
  
  Select Case uMsg
    Case WM_MOUSEHOVER
      m_blnHot = True
      RaiseEvent MouseHover
      
    Case WM_MOUSELEAVE
      m_blnHot = False
      RaiseEvent MouseLeave

    Case WM_MOUSEMOVE
      If Not m_blnHot Then

        With typTME
           .cbSize = LenB(typTME)
           .hwndTrack = hWnd
           .dwFlags = TME_HOVER Or TME_LEAVE
           .dwHoverTime = 1

        End With

        TrackMouseEvent typTME

      End If
      
    Case Else
      ISubclass_Callback = SubClasser.CallWindowProc(PrevProc, hWnd, uMsg, wParam, lParam)

  End Select
  
End Function

Private Sub UserControl_ReadProperties(PropBag As PropertyBag)
  SubClasser.AddSubclassHook hWnd, Me, DoNotTransfer
  
End Sub

Private Sub UserControl_Terminate()
  SubClasser.RemoveSubclassHook hWnd

End Sub

